var _interopRequireDefault=require("@babel/runtime/helpers/interopRequireDefault");Object.defineProperty(exports,"__esModule",{value:true});exports.default=exports.PIPES=void 0;var _regenerator=_interopRequireDefault(require("@babel/runtime/regenerator"));var _shelljs=_interopRequireDefault(require("shelljs"));var _inquirer=_interopRequireDefault(require("inquirer"));var _path=_interopRequireDefault(require("path"));var _common=require("../common");var _constants=require("../constants");var _apple=require("../platformTools/apple");var _web=require("../platformTools/web");var _tizen=require("../platformTools/tizen");var _webos=require("../platformTools/webos");var _firefox=require("../platformTools/firefox");var _electron=require("../platformTools/electron");var _setupTools=_interopRequireDefault(require("../setupTools"));var _buildHooks=require("../projectTools/buildHooks");var _android=require("../platformTools/android");var RUN='run';var LOG='log';var START='start';var PACKAGE='package';var BUILD='build';var DEPLOY='deploy';var EXPORT='export';var TEST='test';var DOC='doc';var UNINSTALL='uninstall';var FIX='fix';var DEBUG='debug';var PIPES={RUN_BEFORE:'run:before',RUN_AFTER:'run:after',LOG_BEFORE:'log:before',LOG_AFTER:'log:after',START_BEFORE:'start:before',START_AFTER:'start:after',PACKAGE_BEFORE:'package:before',PACKAGE_AFTER:'package:after',EXPORT_BEFORE:'export:before',EXPORT_AFTER:'export:after',BUILD_BEFORE:'build:before',BUILD_AFTER:'build:after',DEPLOY_BEFORE:'deploy:before',DEPLOY_AFTER:'deploy:after'};exports.PIPES=PIPES;var run=function run(c){(0,_common.logTask)('run');switch(c.command){case RUN:return _runApp(c);case START:return _start(c);case EXPORT:return _exportApp(c);case PACKAGE:return _packageApp(c);case BUILD:return _buildApp(c);case LOG:return _log(c);case FIX:return _fix(c);case DEPLOY:return _deployApp(c);case DEBUG:return _debug(c);default:return Promise.reject("Command "+c.command+" not supported");}};var _fix=function _fix(c){return new Promise(function(resolve,reject){cleanNodeModules(c).then(function(){return resolve();}).catch(function(e){return reject(e);});});};var _start=function _start(c){return new Promise(function(resolve,reject){var platform=c.platform;var port=c.program.port||c.platformDefaults[platform]?c.platformDefaults[platform].defaultPort:null;(0,_common.logTask)("_start:"+platform+":"+port);switch(platform){case _constants.MACOS:case _constants.WINDOWS:(0,_buildHooks.executePipe)(c,PIPES.START_BEFORE).then(function(){return(0,_electron.runElectronDevServer)(c,platform,port);}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.START_AFTER);}).then(function(){return resolve();}).catch(function(e){return reject(e);});return;case _constants.WEB:case _constants.TIZEN:case _constants.WEBOS:(0,_buildHooks.executePipe)(c,PIPES.START_BEFORE).then(function(){return(0,_common.configureIfRequired)(c,platform);}).then(function(){return(0,_web.runWebDevServer)(c,platform,port);}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.START_AFTER);}).then(function(){return resolve();}).catch(function(e){return reject(e);});return;}if(c.program.reset){_shelljs.default.exec('node ./node_modules/react-native/local-cli/cli.js start --reset-cache');}else{_shelljs.default.exec('node ./node_modules/react-native/local-cli/cli.js start');}});};var runWeinre=function runWeinre(){_shelljs.default.exec('npx weinre --boundHost -all-');};var _debug=function _debug(c){return(0,_buildHooks.executePipe)(c,PIPES.START_BEFORE).then(function(){return runWeinre();}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.START_AFTER);});};var _runApp=function _runApp(c){return new Promise(function(resolve,reject){(0,_common.logTask)("_runApp:"+c.platform);(0,_common.isPlatformSupported)(c).then(function(){return(0,_common.isBuildSchemeSupported)(c);}).then(function(){return _runAppWithPlatform(c);}).then(function(){return resolve();}).catch(function(e){return reject(e);});});};var _runAppWithPlatform=function _runAppWithPlatform(c){var platform,port,target,throwErr,sdkInstall,response,setupInstance,newPath,ANDROID_SDK;return _regenerator.default.async(function _runAppWithPlatform$(_context){while(1){switch(_context.prev=_context.next){case 0:(0,_common.logTask)("_runAppWithPlatform:"+c.platform);platform=c.platform;port=c.program.port||c.platformDefaults[platform].defaultPort;target=c.program.target||c.files.globalConfig.defaultTargets[platform];(0,_common.logTask)("_runAppWithPlatform:"+platform+":"+port);throwErr=function throwErr(err){throw err;};_context.t0=platform;_context.next=_context.t0===_constants.IOS?9:_context.t0===_constants.TVOS?9:_context.t0===_constants.ANDROID?10:_context.t0===_constants.ANDROID_TV?10:_context.t0===_constants.ANDROID_WEAR?10:_context.t0===_constants.MACOS?42:_context.t0===_constants.WINDOWS?42:_context.t0===_constants.WEB?43:_context.t0===_constants.TIZEN?44:_context.t0===_constants.TIZEN_WATCH?44:_context.t0===_constants.WEBOS?47:_context.t0===_constants.KAIOS?50:_context.t0===_constants.FIREFOX_OS?50:_context.t0===_constants.FIREFOX_TV?50:53;break;case 9:return _context.abrupt("return",(0,_buildHooks.executePipe)(c,PIPES.RUN_BEFORE).then(function(){return(0,_common.cleanPlatformIfRequired)(c,platform);}).then(function(){return(0,_common.configureIfRequired)(c,platform);}).then(function(){return(0,_apple.prepareXcodeProject)(c,platform);}).then(function(){return(0,_apple.runXcodeProject)(c,platform,target);}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.RUN_AFTER);}));case 10:if((0,_common.checkSdk)(c,platform,_common.logError)){_context.next=27;break;}if(c.program.ci){_context.next=16;break;}_context.next=14;return _regenerator.default.awrap(_inquirer.default.prompt([{name:'sdkInstall',type:'confirm',message:'Do you want to install the Android SDK?'}]));case 14:response=_context.sent;sdkInstall=response.sdkInstall;case 16:if(!(c.program.ci||sdkInstall)){_context.next=27;break;}setupInstance=(0,_setupTools.default)(c);_context.next=20;return _regenerator.default.awrap(setupInstance.installAndroidSdk());case 20:newPath=_context.sent;c.files.globalConfig.sdks.ANDROID_SDK=newPath;ANDROID_SDK=c.files.globalConfig.sdks.ANDROID_SDK;c.cli[_constants.CLI_ANDROID_EMULATOR]=_path.default.join(ANDROID_SDK,'emulator/emulator');c.cli[_constants.CLI_ANDROID_ADB]=_path.default.join(ANDROID_SDK,'platform-tools/adb');c.cli[_constants.CLI_ANDROID_AVDMANAGER]=_path.default.join(ANDROID_SDK,'tools/bin/avdmanager');c.cli[_constants.CLI_ANDROID_SDKMANAGER]=_path.default.join(ANDROID_SDK,'tools/bin/sdkmanager');case 27:_context.next=29;return _regenerator.default.awrap((0,_buildHooks.executePipe)(c,PIPES.RUN_BEFORE));case 29:_context.next=31;return _regenerator.default.awrap((0,_common.cleanPlatformIfRequired)(c,platform));case 31:_context.next=33;return _regenerator.default.awrap((0,_common.configureIfRequired)(c,platform));case 33:_context.next=35;return _regenerator.default.awrap((0,_android.configureAndroidProperties)(c));case 35:_context.next=37;return _regenerator.default.awrap((0,_android.configureGradleProject)(c,platform));case 37:_context.next=39;return _regenerator.default.awrap(_runAndroid(c,platform,target,platform===_constants.ANDROID_WEAR));case 39:_context.next=41;return _regenerator.default.awrap((0,_buildHooks.executePipe)(c,PIPES.RUN_AFTER));case 41:return _context.abrupt("return");case 42:return _context.abrupt("return",(0,_buildHooks.executePipe)(c,PIPES.RUN_BEFORE).then(function(){return(0,_common.cleanPlatformIfRequired)(c,platform);}).then(function(){return(0,_common.configureIfRequired)(c,platform);}).then(function(){return(0,_electron.runElectron)(c,platform,port);}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.RUN_AFTER);}));case 43:return _context.abrupt("return",(0,_buildHooks.executePipe)(c,PIPES.RUN_BEFORE).then(function(){return(0,_common.cleanPlatformIfRequired)(c,platform);}).then(function(){return(0,_common.configureIfRequired)(c,platform);}).then(function(){return(0,_web.runWeb)(c,platform,port);}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.RUN_AFTER);}));case 44:if((0,_common.checkSdk)(c,platform,throwErr)){_context.next=46;break;}return _context.abrupt("return");case 46:return _context.abrupt("return",(0,_buildHooks.executePipe)(c,PIPES.RUN_BEFORE).then(function(){return(0,_common.cleanPlatformIfRequired)(c,platform);}).then(function(){return(0,_common.configureIfRequired)(c,platform);}).then(function(){return(0,_tizen.runTizen)(c,platform,target);}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.RUN_AFTER);}));case 47:if((0,_common.checkSdk)(c,platform,throwErr)){_context.next=49;break;}return _context.abrupt("return");case 49:return _context.abrupt("return",(0,_buildHooks.executePipe)(c,PIPES.RUN_BEFORE).then(function(){return(0,_common.cleanPlatformIfRequired)(c,platform);}).then(function(){return(0,_common.configureIfRequired)(c,platform);}).then(function(){return(0,_webos.runWebOS)(c,platform,target);}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.RUN_AFTER);}));case 50:if(!(platform===_constants.KAIOS&&!(0,_common.checkSdk)(c,platform,throwErr))){_context.next=52;break;}return _context.abrupt("return");case 52:return _context.abrupt("return",(0,_buildHooks.executePipe)(c,PIPES.RUN_BEFORE).then(function(){return(0,_common.cleanPlatformIfRequired)(c,platform);}).then(function(){return(0,_common.configureIfRequired)(c,platform);}).then(function(){return(0,_firefox.runFirefoxProject)(c,platform);}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.RUN_AFTER);}));case 53:return _context.abrupt("break",54);case 54:return _context.abrupt("return",(0,_common.logErrorPlatform)(platform));case 55:case"end":return _context.stop();}}});};var _packageApp=function _packageApp(c){return new Promise(function(resolve,reject){(0,_common.logTask)("_packageApp:"+c.platform);(0,_common.isPlatformSupported)(c).then(function(v){return(0,_common.isBuildSchemeSupported)(c);}).then(function(v){return _packageAppWithPlatform(c);}).then(function(){return resolve();}).catch(function(e){return reject(e);});});};var _packageAppWithPlatform=function _packageAppWithPlatform(c){return new Promise(function(resolve,reject){(0,_common.logTask)("_packageAppWithPlatform:"+c.platform);var platform=c.platform;var target=c.program.target||c.files.globalConfig.defaultTargets[platform];switch(platform){case _constants.IOS:case _constants.TVOS:(0,_buildHooks.executePipe)(c,PIPES.PACKAGE_BEFORE).then(function(){return(0,_common.cleanPlatformIfRequired)(c,platform);}).then(function(){return(0,_common.configureIfRequired)(c,platform);}).then(function(){return(0,_apple.packageBundleForXcode)(c,platform);}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.PACKAGE_AFTER);}).then(function(){return resolve();}).catch(function(e){return reject(e);});return;case _constants.ANDROID:case _constants.ANDROID_TV:case _constants.ANDROID_WEAR:if(!(0,_common.checkSdk)(c,platform,reject))return;(0,_buildHooks.executePipe)(c,PIPES.PACKAGE_BEFORE).then(function(){return(0,_common.cleanPlatformIfRequired)(c,platform);}).then(function(){return(0,_common.configureIfRequired)(c,platform);}).then(function(){return(0,_android.configureAndroidProperties)(c);}).then(function(){return(0,_android.configureGradleProject)(c,platform);}).then(function(){return(0,_android.packageAndroid)(c,platform,target,platform===_constants.ANDROID_WEAR);}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.PACKAGE_AFTER);}).then(function(){return resolve();}).catch(function(e){return reject(e);});return;}(0,_common.logErrorPlatform)(platform,resolve);});};var _exportApp=function _exportApp(c){return new Promise(function(resolve,reject){(0,_common.logTask)("_exportApp:"+c.platform);(0,_common.isPlatformSupported)(c).then(function(v){return(0,_common.isBuildSchemeSupported)(c);}).then(function(v){return _exportAppWithPlatform(c);}).then(function(){return resolve();}).catch(function(e){return reject(e);});});};var _exportAppWithPlatform=function _exportAppWithPlatform(c){return new Promise(function(resolve,reject){(0,_common.logTask)("_exportAppWithPlatform:"+c.platform);var platform=c.platform;switch(platform){case _constants.IOS:case _constants.TVOS:(0,_buildHooks.executePipe)(c,PIPES.EXPORT_BEFORE).then(function(){return(0,_common.cleanPlatformIfRequired)(c,platform);}).then(function(){return(0,_common.configureIfRequired)(c,platform);}).then(function(){return(0,_apple.prepareXcodeProject)(c,platform);}).then(function(){return(0,_apple.packageBundleForXcode)(c,platform);}).then(function(){return(0,_apple.archiveXcodeProject)(c,platform);}).then(function(){return(0,_apple.exportXcodeProject)(c,platform);}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.EXPORT_AFTER);}).then(function(){return resolve();}).catch(function(e){return reject(e);});return;}(0,_common.logErrorPlatform)(platform,resolve);});};var _deployApp=function _deployApp(c){return new Promise(function(resolve,reject){(0,_common.logTask)("_deployApp:"+c.platform);(0,_common.isPlatformSupported)(c).then(function(v){return(0,_common.isBuildSchemeSupported)(c);}).then(function(v){return _deployAppWithPlatform(c);}).then(function(){return resolve();}).catch(function(e){return reject(e);});});};var _deployAppWithPlatform=function _deployAppWithPlatform(c){return new Promise(function(resolve,reject){(0,_common.logTask)("_deployAppWithPlatform:"+c.platform);var platform=c.platform;switch(platform){case _constants.WEB:(0,_buildHooks.executePipe)(c,PIPES.DEPLOY_BEFORE).then(function(){return c.program.only?Promise.resolve():_buildApp(c);}).then(function(){return(0,_web.deployWeb)(c,platform);}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.DEPLOY_AFTER);}).then(function(){return resolve();}).catch(function(e){return reject(e);});return;}(0,_common.logErrorPlatform)(platform,resolve);});};var _buildApp=function _buildApp(c){return new Promise(function(resolve,reject){(0,_common.logTask)("_buildApp:"+c.platform);(0,_common.isPlatformSupported)(c).then(function(v){return(0,_common.isBuildSchemeSupported)(c);}).then(function(v){return _buildAppWithPlatform(c);}).then(function(){return resolve();}).catch(function(e){return reject(e);});});};var _buildAppWithPlatform=function _buildAppWithPlatform(c){return new Promise(function(resolve,reject){(0,_common.logTask)("_buildAppWithPlatform:"+c.platform);var platform=c.platform;switch(platform){case _constants.ANDROID:case _constants.ANDROID_TV:case _constants.ANDROID_WEAR:(0,_buildHooks.executePipe)(c,PIPES.BUILD_BEFORE).then(function(){return(0,_common.cleanPlatformIfRequired)(c,platform);}).then(function(){return(0,_common.configureIfRequired)(c,platform);}).then(function(){return(0,_android.configureAndroidProperties)(c);}).then(function(){return(0,_android.configureGradleProject)(c,platform);}).then(function(){return(0,_android.packageAndroid)(c,platform);}).then(function(){return(0,_android.buildAndroid)(c,platform);}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.BUILD_AFTER);}).then(function(){return resolve();}).catch(function(e){return reject(e);});return;case _constants.MACOS:case _constants.WINDOWS:(0,_buildHooks.executePipe)(c,PIPES.RUN_BEFORE).then(function(){return(0,_common.cleanPlatformIfRequired)(c,platform);}).then(function(){return(0,_common.configureIfRequired)(c,platform);}).then(function(){return(0,_electron.buildElectron)(c,platform);}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.RUN_AFTER);}).then(function(){return resolve();}).catch(function(e){return reject(e);});return;case _constants.IOS:case _constants.TVOS:(0,_buildHooks.executePipe)(c,PIPES.BUILD_BEFORE).then(function(){return(0,_common.cleanPlatformIfRequired)(c,platform);}).then(function(){return(0,_common.configureIfRequired)(c,platform);}).then(function(){return(0,_apple.prepareXcodeProject)(c,platform);}).then(function(){return(0,_apple.packageBundleForXcode)(c,platform);}).then(function(){return(0,_apple.archiveXcodeProject)(c,platform);}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.BUILD_AFTER);}).then(function(){return resolve();}).catch(function(e){return reject(e);});return;case _constants.WEB:(0,_buildHooks.executePipe)(c,PIPES.BUILD_BEFORE).then(function(){return(0,_common.cleanPlatformIfRequired)(c,platform);}).then(function(){return(0,_common.configureIfRequired)(c,platform);}).then(function(){return(0,_web.buildWeb)(c,platform);}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.BUILD_AFTER);}).then(function(){return resolve();}).catch(function(e){return reject(e);});return;case _constants.KAIOS:case _constants.FIREFOX_OS:case _constants.FIREFOX_TV:(0,_buildHooks.executePipe)(c,PIPES.BUILD_BEFORE).then(function(){return(0,_common.cleanPlatformIfRequired)(c,platform);}).then(function(){return(0,_common.configureIfRequired)(c,platform);}).then(function(){return(0,_firefox.buildFirefoxProject)(c,platform);}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.BUILD_AFTER);}).then(function(){return resolve();}).catch(function(e){return reject(e);});return;case _constants.TIZEN:case _constants.TIZEN_WATCH:if(!(0,_common.checkSdk)(c,platform,reject))return;(0,_buildHooks.executePipe)(c,PIPES.BUILD_BEFORE).then(function(){return(0,_common.cleanPlatformIfRequired)(c,platform);}).then(function(){return(0,_common.configureIfRequired)(c,platform);}).then(function(){return(0,_tizen.buildTizenProject)(c,platform);}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.BUILD_AFTER);}).then(function(){return resolve();}).catch(function(e){return reject(e);});return;case _constants.WEBOS:if(!(0,_common.checkSdk)(c,platform,reject))return;(0,_buildHooks.executePipe)(c,PIPES.BUILD_BEFORE).then(function(){return(0,_common.cleanPlatformIfRequired)(c,platform);}).then(function(){return(0,_common.configureIfRequired)(c,platform);}).then(function(){return(0,_webos.buildWebOSProject)(c,platform);}).then(function(){return(0,_buildHooks.executePipe)(c,PIPES.BUILD_AFTER);}).then(function(){return resolve();}).catch(function(e){return reject(e);});return;}(0,_common.logErrorPlatform)(platform,resolve);});};var _log=function _log(c){return new Promise(function(resolve,reject){(0,_common.logTask)('_log');var platform=c.platform;if(!(0,_common.isPlatformSupportedSync)(platform,null,reject))return;switch(platform){case _constants.IOS:case _constants.TVOS:(0,_apple.runAppleLog)(c,platform).then(function(){return resolve();}).catch(function(e){return reject(e);});return;case _constants.ANDROID:case _constants.ANDROID_TV:case _constants.ANDROID_WEAR:(0,_android.runAndroidLog)(c,platform).then(function(){return resolve();}).catch(function(e){return reject(e);});return;}(0,_common.logErrorPlatform)(platform,resolve);});};var _runAndroid=function _runAndroid(c,platform,target,forcePackage){return new Promise(function(resolve,reject){(0,_common.logTask)("_runAndroid:"+platform);if(c.files.appConfigFile.platforms.android.runScheme==='Release'||forcePackage){(0,_android.packageAndroid)(c,platform).then(function(){(0,_android.runAndroid)(c,platform,target).then(function(){return resolve();}).catch(function(e){return reject(e);});});}else{(0,_android.runAndroid)(c,platform,target).then(function(){return resolve();}).catch(function(e){return reject(e);});}});};var _default=run;exports.default=_default;