var _interopRequireDefault=require("@babel/runtime/helpers/interopRequireDefault");Object.defineProperty(exports,"__esModule",{value:true});exports.prepareXcodeProject=exports.runAppleLog=exports.launchAppleSimulator=exports.listAppleDevices=exports.packageBundleForXcode=exports.archiveXcodeProject=exports.exportXcodeProject=exports.runXcodeProject=exports.configureXcodeProject=exports.copyAppleAssets=exports.runPod=void 0;var _path=_interopRequireDefault(require("path"));var _fs=_interopRequireDefault(require("fs"));var _chalk=_interopRequireDefault(require("chalk"));var _child_process=_interopRequireDefault(require("child_process"));var _exec=require("../systemTools/exec");var _objectUtils=require("../systemTools/objectUtils");var _platform=require("../cli/platform");var _common=require("../common");var _constants=require("../constants");var _fileutils=require("../systemTools/fileutils");var _pluginTools=require("../pluginTools");var _plistParser=require("./apple/plistParser");var xcode=require('xcode');var readline=require('readline');var checkIfCommandExists=function checkIfCommandExists(command){return new Promise(function(resolve,reject){return _child_process.default.exec("command -v "+command+" 2>/dev/null",function(error){if(error)return reject(new Error(command+" not installed"));return resolve();});});};var runPod=function runPod(command,cwd){var rejectOnFail=arguments.length>2&&arguments[2]!==undefined?arguments[2]:false;return new Promise(function(resolve,reject){(0,_common.logTask)("runPod:"+command);if(!_fs.default.existsSync(cwd)){(0,_common.logError)("Location "+cwd+" does not exists!");if(rejectOnFail)return reject();return resolve();}return checkIfCommandExists('pod').then(function(){return(0,_exec.executeAsync)('pod',[command],{cwd:cwd,evn:process.env,stdio:'inherit'}).then(function(){return resolve();}).catch(function(e){(0,_common.logError)(e);if(rejectOnFail)return reject(e);return resolve();});}).catch(function(err){return(0,_common.logError)(err);});});};exports.runPod=runPod;var copyAppleAssets=function copyAppleAssets(c,platform,appFolderName){return new Promise(function(resolve){(0,_common.logTask)('copyAppleAssets');if(!(0,_common.isPlatformActive)(c,platform,resolve))return;var iosPath=_path.default.join((0,_common.getAppFolder)(c,platform),appFolderName);var sPath=_path.default.join(c.paths.appConfigFolder,"assets/"+platform);(0,_fileutils.copyFolderContentsRecursiveSync)(sPath,iosPath);resolve();});};exports.copyAppleAssets=copyAppleAssets;var runXcodeProject=function runXcodeProject(c,platform,target){return new Promise(function(resolve,reject){(0,_common.logTask)("runXcodeProject:"+platform+":"+target);if(target==='?'){launchAppleSimulator(c,platform,target).then(function(newTarget){_runXcodeProject(c,platform,newTarget).then(function(){return resolve();}).catch(function(e){return reject(e);});});}else{_runXcodeProject(c,platform,target).then(function(){return resolve();}).catch(function(e){return reject(e);});}});};exports.runXcodeProject=runXcodeProject;var _runXcodeProject=function _runXcodeProject(c,platform,target){return new Promise(function(resolve,reject){(0,_common.logTask)("_runXcodeProject:"+platform+":"+target);var appPath=(0,_common.getAppFolder)(c,platform);var device=c.program.device;var scheme=(0,_common.getConfigProp)(c,platform,'scheme');var runScheme=(0,_common.getConfigProp)(c,platform,'runScheme');var bundleIsDev=(0,_common.getConfigProp)(c,platform,'bundleIsDev')===true;var bundleAssets=(0,_common.getConfigProp)(c,platform,'bundleAssets')===true;var p;if(!scheme){reject("You missing scheme in platforms."+_chalk.default.yellow(platform)+" in your "+_chalk.default.white(c.paths.appConfigPath)+"! Check example config for more info:  "+_chalk.default.blue('https://github.com/pavjacko/renative/blob/master/appConfigs/helloWorld/config.json')+" ");return;}if(device===true){var devicesArr=_getAppleDevices(c,platform,false,true);if(devicesArr.length===1){(0,_common.logSuccess)("Found one device connected! "+_chalk.default.white(devicesArr[0].name));p=['run-ios','--project-path',appPath,'--device',devicesArr[0].name,'--scheme',scheme,'--configuration',runScheme];}else if(devicesArr.length>1){var devicesString='\n';devicesArr.forEach(function(v,i){devicesString+="-["+(i+1)+"] "+_chalk.default.white(v.name)+" | "+v.deviceIcon+" | v: "+_chalk.default.green(v.version)+" | udid: "+_chalk.default.blue(v.udid)+(v.isDevice?_chalk.default.red(' (device)'):'')+"\n";});var readlineInterface=readline.createInterface({input:process.stdin,output:process.stdout});readlineInterface.question((0,_common.getQuestion)(devicesString+"\nType number of the device you want to launch"),function(v){var selectedDevice=devicesArr[parseInt(v,10)-1];if(selectedDevice){p=['run-ios','--project-path',appPath,'--device',selectedDevice.name,'--scheme',scheme,'--configuration',runScheme];if(bundleAssets){packageBundleForXcode(c,platform,bundleIsDev).then(function(v){return(0,_exec.executeAsync)('react-native',p);}).then(function(){return resolve();}).catch(function(e){return reject(e);});}else{(0,_exec.executeAsync)('react-native',p).then(function(){return resolve();}).catch(function(e){return reject(e);});}}else{reject("Wrong choice "+v+"! Ingoring");}});return;}else{reject("No "+platform+" devices connected!");return;}}else if(device){p=['run-ios','--project-path',appPath,'--device',device,'--scheme',scheme,'--configuration',runScheme];}else{p=['run-ios','--project-path',appPath,'--simulator',target,'--scheme',scheme,'--configuration',runScheme];}(0,_common.logDebug)('running',p);if(p){if(bundleAssets){packageBundleForXcode(c,platform,bundleIsDev).then(function(v){return(0,_exec.executeAsync)('react-native',p);}).then(function(){return resolve();}).catch(function(e){return reject(e);});}else{(0,_exec.executeAsync)('react-native',p).then(function(){return resolve();}).catch(function(e){return reject(e);});}}else{reject('Missing options for react-native command!');}});};var archiveXcodeProject=function archiveXcodeProject(c,platform){return new Promise(function(resolve,reject){(0,_common.logTask)("archiveXcodeProject:"+platform);var appFolderName=_getAppFolderName(c,platform);var sdk=platform===_constants.IOS?'iphoneos':'tvos';var appPath=(0,_common.getAppFolder)(c,platform);var exportPath=_path.default.join(appPath,'release');var scheme=(0,_common.getConfigProp)(c,platform,'scheme');var bundleIsDev=(0,_common.getConfigProp)(c,platform,'bundleIsDev')===true;var p=['-workspace',appPath+"/"+appFolderName+".xcworkspace",'-scheme',scheme,'-sdk',sdk,'-configuration','Release','archive','-archivePath',exportPath+"/"+scheme+".xcarchive",'-allowProvisioningUpdates'];(0,_common.logDebug)('running',p);if(c.files.appConfigFile.platforms[platform].runScheme==='Release'){packageBundleForXcode(c,platform,bundleIsDev).then(function(){return(0,_exec.executeAsync)('xcodebuild',p);}).then(function(){return resolve();}).catch(function(e){return reject(e);});}else{(0,_exec.executeAsync)('xcodebuild',p).then(function(){return resolve();}).catch(function(e){return reject(e);});}});};exports.archiveXcodeProject=archiveXcodeProject;var exportXcodeProject=function exportXcodeProject(c,platform){return new Promise(function(resolve,reject){(0,_common.logTask)("exportXcodeProject:"+platform);var appPath=(0,_common.getAppFolder)(c,platform);var exportPath=_path.default.join(appPath,'release');var scheme=(0,_common.getConfigProp)(c,platform,'scheme');var p=['-exportArchive','-archivePath',exportPath+"/"+scheme+".xcarchive",'-exportOptionsPlist',appPath+"/exportOptions.plist",'-exportPath',""+exportPath,'-allowProvisioningUpdates'];(0,_common.logDebug)('running',p);(0,_exec.executeAsync)('xcodebuild',p).then(function(){(0,_common.logSuccess)("Your IPA is located in "+_chalk.default.white(exportPath)+".");resolve();}).catch(function(e){return reject(e);});});};exports.exportXcodeProject=exportXcodeProject;var packageBundleForXcode=function packageBundleForXcode(c,platform){var isDev=arguments.length>2&&arguments[2]!==undefined?arguments[2]:false;(0,_common.logTask)("packageBundleForXcode:"+platform);var appFolderName=_getAppFolderName(c,platform);return(0,_exec.executeAsync)('react-native',['bundle','--platform','ios','--dev',isDev,'--assets-dest',"platformBuilds/"+c.appId+"_"+platform,'--entry-file',c.files.appConfigFile.platforms[platform].entryFile+".js",'--bundle-output',(0,_common.getAppFolder)(c,platform)+"/main.jsbundle"]);};exports.packageBundleForXcode=packageBundleForXcode;var prepareXcodeProject=function prepareXcodeProject(c,platform){return new Promise(function(resolve,reject){var device=c.program.device;var ip=device?(0,_common.getIP)():'localhost';var appFolder=(0,_common.getAppFolder)(c,platform);var appFolderName=_getAppFolderName(c,platform);var bundleAssets=(0,_common.getConfigProp)(c,platform,'bundleAssets')===true;var tId=(0,_common.getConfigProp)(c,platform,'teamID');if(device&&(!tId||tId==='')){(0,_common.logError)("Looks like you're missing teamID in your "+_chalk.default.white(c.paths.appConfigPath)+" => .platforms."+platform+".teamID . you will not be able to build "+platform+" app for device!");resolve();return;}var check=_path.default.join(appFolder,appFolderName+".xcodeproj");if(!_fs.default.existsSync(check)){(0,_common.logWarning)("Looks like your "+_chalk.default.white(platform)+" platformBuild is misconfigured!. let's repair it.");(0,_platform.createPlatformBuild)(c,platform).then(function(){return configureXcodeProject(c,platform);}).then(function(){return _postConfigureProject(c,platform,appFolder,appFolderName,bundleAssets,ip);}).then(function(){return resolve(c);}).catch(function(e){return reject(e);});return;}if(!_fs.default.existsSync(_path.default.join(appFolder,'Pods'))){(0,_common.logWarning)("Looks like your "+platform+" project is not configured yet. Let's configure it!");configureXcodeProject(c,platform).then(function(){return _postConfigureProject(c,platform,appFolder,appFolderName,bundleAssets,ip);}).then(function(){return resolve(c);}).catch(function(e){return reject(e);});}else{_postConfigureProject(c,platform,appFolder,appFolderName,bundleAssets,ip).then(function(){return resolve(c);}).catch(function(e){return reject(e);});}});};exports.prepareXcodeProject=prepareXcodeProject;var configureXcodeProject=function configureXcodeProject(c,platform,ip,port){return new Promise(function(resolve,reject){(0,_common.logTask)('configureXcodeProject');if(process.platform!=='darwin')return;if(!(0,_common.isPlatformActive)(c,platform,resolve))return;var appFolderName=_getAppFolderName(c,platform);copyAppleAssets(c,platform,appFolderName).then(function(){return copyAppleAssets(c,platform,appFolderName);}).then(function(){return(0,_common.copyBuildsFolder)(c,platform);}).then(function(){return _preConfigureProject(c,platform,appFolderName,ip,port);}).then(function(){return runPod(c.program.update?'update':'install',(0,_common.getAppFolder)(c,platform),true);}).then(function(){return resolve();}).catch(function(e){if(!c.program.update){(0,_common.logWarning)("Looks like pod install is not enough! Let's try pod update! Error: "+e);_preConfigureProject(c,platform,appFolderName,ip,port).then(function(){return runPod('update',(0,_common.getAppFolder)(c,platform));}).then(function(){return resolve();}).catch(function(err){return reject(err);});}else{reject(e);}});});};exports.configureXcodeProject=configureXcodeProject;var _injectPlugin=function _injectPlugin(c,plugin,key,pkg,pluginConfig){if(plugin.appDelegateImports instanceof Array){plugin.appDelegateImports.forEach(function(appDelegateImport){(0,_common.logTask)('appDelegateImports add');if(pluginConfig.pluginAppDelegateImports.indexOf(appDelegateImport)===-1){(0,_common.logTask)('appDelegateImports add ok');pluginConfig.pluginAppDelegateImports+="import "+appDelegateImport+"\n";}});}if(plugin.appDelegateMethods){for(var _key in plugin.appDelegateMethods){for(var key2 in plugin.appDelegateMethods[_key]){var plugArr=pluginConfig.appDelegateMethods[_key][key2];var plugVal=plugin.appDelegateMethods[_key][key2];if(!plugArr.includes(plugVal)){plugArr.push(plugVal);}}}}};var _postConfigureProject=function _postConfigureProject(c,platform,appFolder,appFolderName){var isBundled=arguments.length>4&&arguments[4]!==undefined?arguments[4]:false;var ip=arguments.length>5&&arguments[5]!==undefined?arguments[5]:'localhost';var port=arguments.length>6&&arguments[6]!==undefined?arguments[6]:8081;return new Promise(function(resolve){(0,_common.logTask)("_postConfigureProject:"+platform+":"+ip+":"+port);var appDelegate='AppDelegate.swift';var entryFile=(0,_common.getEntryFile)(c,platform);var appTemplateFolder=(0,_common.getAppTemplateFolder)(c,platform);var backgroundColor=c.files.appConfigFile.platforms[platform].backgroundColor;var tId=(0,_common.getConfigProp)(c,platform,'teamID');var bundle;if(isBundled){bundle="RCTBundleURLProvider.sharedSettings().jsBundleURL(forBundleRoot: \""+entryFile+"\", fallbackResource: nil)";}else{bundle="URL(string: \"http://"+ip+":"+port+"/"+entryFile+".bundle?platform=ios\")";}var pluginAppDelegateImports='';var pluginAppDelegateMethods='';var pluginConfig={pluginAppDelegateImports:pluginAppDelegateImports,pluginAppDelegateMethods:pluginAppDelegateMethods,appDelegateMethods:{application:{didFinishLaunchingWithOptions:[],open:[],supportedInterfaceOrientationsFor:[],didReceiveRemoteNotification:[],didFailToRegisterForRemoteNotificationsWithError:[],didReceive:[],didRegister:[],didRegisterForRemoteNotificationsWithDeviceToken:[]},userNotificationCenter:{willPresent:[]}}};(0,_pluginTools.parsePlugins)(c,function(plugin,pluginPlat,key){_injectPlugin(c,pluginPlat,key,pluginPlat.package,pluginConfig);});var pluginBgColor='vc.view.backgroundColor = UIColor.white';var UI_COLORS=['black','blue','brown','clear','cyan','darkGray','gray','green','lightGray','magneta','orange','purple','red','white','yellow'];if(backgroundColor){if(UI_COLORS.includes(backgroundColor)){pluginBgColor="vc.view.backgroundColor = UIColor."+backgroundColor;}else{(0,_common.logWarning)("Your choosen color in config.json for platform "+_chalk.default.white(platform)+" is not supported by UIColor. use one of the predefined ones: "+_chalk.default.white(UI_COLORS.join(',')));}}var methods={application:{didFinishLaunchingWithOptions:{isRequired:true,func:'func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplicationLaunchOptionsKey: Any]?) -> Bool {',begin:"\n        self.window = UIWindow(frame: UIScreen.main.bounds)\n        let vc = UIViewController()\n        let v = RCTRootView(\n            bundleURL: bundleUrl,\n            moduleName: moduleName,\n            initialProperties: nil,\n            launchOptions: launchOptions)\n        vc.view = v\n        vc.view.backgroundColor = UIColor.white\n        v?.frame = vc.view.bounds\n        self.window?.rootViewController = vc\n        self.window?.makeKeyAndVisible()\n        UNUserNotificationCenter.current().delegate = self\n                ",render:function render(v){return""+v;},end:'return true'},open:{func:'func application(_ app: UIApplication, open url: URL, options: [UIApplicationOpenURLOptionsKey : Any] = [:]) -> Bool {',begin:'var handled = false',render:function render(v){return"if(!handled) { handled = "+v+" }";},end:'return handled'},supportedInterfaceOrientationsFor:{func:'func application(_ application: UIApplication, supportedInterfaceOrientationsFor window: UIWindow?) -> UIInterfaceOrientationMask {',begin:null,render:function render(v){return"return "+v;},end:null},didReceiveRemoteNotification:{func:'func application(_ application: UIApplication, didReceiveRemoteNotification userInfo: [AnyHashable : Any], fetchCompletionHandler completionHandler: @escaping (UIBackgroundFetchResult) -> Void) {',begin:null,render:function render(v){return""+v;},end:null},didFailToRegisterForRemoteNotificationsWithError:{func:'func application(_ application: UIApplication, didFailToRegisterForRemoteNotificationsWithError error: Error) {',begin:null,render:function render(v){return""+v;},end:null},didReceive:{func:'func application(_ application: UIApplication, didReceive notification: UILocalNotification) {',begin:null,render:function render(v){return""+v;},end:null},didRegister:{func:'func application(_ application: UIApplication, didRegister notificationSettings: UIUserNotificationSettings) {',begin:null,render:function render(v){return""+v;},end:null},didRegisterForRemoteNotificationsWithDeviceToken:{func:'func application(_ application: UIApplication, didRegisterForRemoteNotificationsWithDeviceToken deviceToken: Data) {',begin:null,render:function render(v){return""+v;},end:null}},userNotificationCenter:{willPresent:{func:'func userNotificationCenter(_ center: UNUserNotificationCenter, willPresent notification: UNNotification, withCompletionHandler completionHandler: @escaping (UNNotificationPresentationOptions) -> Void) {',begin:null,render:function render(v){return""+v;},end:null}}};var constructMethod=function constructMethod(lines,method){var output='';if(lines.length||method.isRequired){output+="\n"+method.func+"\n";if(method.begin)output+="   "+method.begin+"\n";lines.forEach(function(v){output+="    "+method.render(v)+"\n";});if(method.end)output+="   "+method.end+"\n";output+='}\n';}return output;};for(var key in methods){var method=methods[key];for(var key2 in method){var f=method[key2];pluginConfig.pluginAppDelegateMethods+=constructMethod(pluginConfig.appDelegateMethods[key][key2],f);}}(0,_common.writeCleanFile)(_path.default.join((0,_common.getAppTemplateFolder)(c,platform),appFolderName,appDelegate),_path.default.join(appFolder,appFolderName,appDelegate),[{pattern:'{{BUNDLE}}',override:bundle},{pattern:'{{ENTRY_FILE}}',override:entryFile},{pattern:'{{IP}}',override:ip},{pattern:'{{PORT}}',override:port},{pattern:'{{BACKGROUND_COLOR}}',override:pluginBgColor},{pattern:'{{APPDELEGATE_IMPORTS}}',override:pluginConfig.pluginAppDelegateImports},{pattern:'{{APPDELEGATE_METHODS}}',override:pluginConfig.pluginAppDelegateMethods}]);(0,_common.writeCleanFile)(_path.default.join(appTemplateFolder,'exportOptions.plist'),_path.default.join(appFolder,'exportOptions.plist'),[{pattern:'{{TEAM_ID}}',override:tId}]);var projectPath=_path.default.join(appFolder,appFolderName+".xcodeproj/project.pbxproj");var xcodeProj=xcode.project(projectPath);xcodeProj.parse(function(){var appId=(0,_common.getAppId)(c,platform);if(tId){xcodeProj.updateBuildProperty('DEVELOPMENT_TEAM',tId);}else{xcodeProj.updateBuildProperty('DEVELOPMENT_TEAM','""');}xcodeProj.updateBuildProperty('PRODUCT_BUNDLE_IDENTIFIER',appId);resolve();});});};var _preConfigureProject=function _preConfigureProject(c,platform,appFolderName){var ip=arguments.length>3&&arguments[3]!==undefined?arguments[3]:'localhost';var port=arguments.length>4&&arguments[4]!==undefined?arguments[4]:8081;return new Promise(function(resolve,reject){(0,_common.logTask)("_preConfigureProject:"+platform+":"+appFolderName+":"+ip+":"+port);var appFolder=(0,_common.getAppFolder)(c,platform);var tId=(0,_common.getConfigProp)(c,platform,'teamID');_fs.default.writeFileSync(_path.default.join(appFolder,'main.jsbundle'),'{}');(0,_fileutils.mkdirSync)(_path.default.join(appFolder,'assets'));(0,_fileutils.mkdirSync)(_path.default.join(appFolder,appFolderName+"/images"));var projectPath=_path.default.join(appFolder,appFolderName+".xcodeproj/project.pbxproj");var xcodeProj=xcode.project(projectPath);var embeddedFonts=[];xcodeProj.parse(function(){var appId=(0,_common.getAppId)(c,platform);if(tId){xcodeProj.updateBuildProperty('DEVELOPMENT_TEAM',tId);}else{xcodeProj.updateBuildProperty('DEVELOPMENT_TEAM','""');}xcodeProj.updateBuildProperty('PRODUCT_BUNDLE_IDENTIFIER',appId);if(c.files.appConfigFile){if(_fs.default.existsSync(c.paths.fontsConfigFolder)){_fs.default.readdirSync(c.paths.fontsConfigFolder).forEach(function(font){if(font.includes('.ttf')||font.includes('.otf')){var key=font.split('.')[0];var includedFonts=c.files.appConfigFile.common.includedFonts;if(includedFonts&&(includedFonts.includes('*')||includedFonts.includes(key))){var fontSource=_path.default.join(c.paths.projectConfigFolder,'fonts',font);if(_fs.default.existsSync(fontSource)){var fontFolder=_path.default.join(appFolder,'fonts');(0,_fileutils.mkdirSync)(fontFolder);var fontDest=_path.default.join(fontFolder,font);(0,_fileutils.copyFileSync)(fontSource,fontDest);xcodeProj.addResourceFile(fontSource);embeddedFonts.push(font);}else{(0,_common.logWarning)("Font "+_chalk.default.white(fontSource)+" doesn't exist! Skipping.");}}}});}}(0,_pluginTools.parsePlugins)(c,function(plugin,pluginPlat,key){if(pluginPlat.xcodeproj){if(pluginPlat.xcodeproj.resourceFiles){pluginPlat.xcodeproj.resourceFiles.forEach(function(v){xcodeProj.addResourceFile(_path.default.join(appFolder,v));});}if(pluginPlat.xcodeproj.sourceFiles){pluginPlat.xcodeproj.sourceFiles.forEach(function(v){xcodeProj.addSourceFile(v,null,'200132F21F6BF9CF00450340');});}if(pluginPlat.xcodeproj.headerFiles){pluginPlat.xcodeproj.headerFiles.forEach(function(v){xcodeProj.addHeaderFile(v,null,'200132F21F6BF9CF00450340');});}}});_fs.default.writeFileSync(projectPath,xcodeProj.writeSync());_parsePodFile(c,platform);_parseEntitlements(c,platform);_parsePlist(c,platform,embeddedFonts);resolve();});});};var _parsePodFile=function _parsePodFile(c,platform){(0,_common.logTask)("_parsePodFile:"+platform);var appFolder=(0,_common.getAppFolder)(c,platform);var pluginSubspecs='';var pluginInject='';(0,_pluginTools.parsePlugins)(c,function(plugin,pluginPlat,key){var isNpm=plugin['no-npm']!==true;if(pluginPlat.podName){if(isNpm){var podPath=pluginPlat.path?"../../"+pluginPlat.path:"../../node_modules/"+key;pluginInject+="  pod '"+pluginPlat.podName+"', :path => '"+podPath+"'\n";}else if(pluginPlat.git){var commit=pluginPlat.commit?", :commit => '"+pluginPlat.commit+"'":'';pluginInject+="  pod '"+pluginPlat.podName+"', :git => '"+pluginPlat.git+"'"+commit+"\n";}else if(pluginPlat.version){pluginInject+="  pod '"+pluginPlat.podName+"', '"+pluginPlat.version+"'\n";}else{pluginInject+="  pod '"+pluginPlat.podName+"'\n";}}if(pluginPlat.reactSubSpecs){pluginPlat.reactSubSpecs.forEach(function(v){if(!pluginSubspecs.includes("'"+v+"'")){pluginSubspecs+="  '"+v+"',\n";}});}});var reactCore=c.files.pluginConfig?c.files.pluginConfig.reactCore:c.files.pluginTemplatesConfig.reactCore;if(reactCore){if(reactCore.ios.reactSubSpecs){reactCore.ios.reactSubSpecs.forEach(function(v){if(!pluginSubspecs.includes("'"+v+"'")){pluginSubspecs+="  '"+v+"',\n";}});}}(0,_common.writeCleanFile)(_path.default.join((0,_common.getAppTemplateFolder)(c,platform),'Podfile'),_path.default.join(appFolder,'Podfile'),[{pattern:'{{PLUGIN_PATHS}}',override:pluginInject},{pattern:'{{PLUGIN_SUBSPECS}}',override:pluginSubspecs}]);};var _parseEntitlements=function _parseEntitlements(c,platform){(0,_common.logTask)("_parseEntitlements:"+platform);var appFolder=(0,_common.getAppFolder)(c,platform);var appFolderName=_getAppFolderName(c,platform);var entitlementsPath=_path.default.join(appFolder,appFolderName+"/RNVApp.entitlements");var pluginsEntitlementsObj=(0,_fileutils.mergeObjects)((0,_fileutils.readObjectSync)(_path.default.join(c.paths.rnvRootFolder,'src/platformTools/apple/entitlements.json')),(0,_common.getConfigProp)(c,platform,'entitlements'));(0,_plistParser.saveObjToPlistSync)(entitlementsPath,pluginsEntitlementsObj);};var _parsePlist=function _parsePlist(c,platform,embeddedFonts){(0,_common.logTask)("_parsePlist:"+platform);var appFolder=(0,_common.getAppFolder)(c,platform);var appFolderName=_getAppFolderName(c,platform);var _c$files$appConfigFil=c.files.appConfigFile.platforms[platform],permissions=_c$files$appConfigFil.permissions,orientationSupport=_c$files$appConfigFil.orientationSupport,urlScheme=_c$files$appConfigFil.urlScheme,plistExtra=_c$files$appConfigFil.plistExtra;var plistPath=_path.default.join(appFolder,appFolderName+"/Info.plist");var plistObj=(0,_fileutils.readObjectSync)(_path.default.join(c.paths.rnvRootFolder,'src/platformTools/apple/info.plist.json'));plistObj.CFBundleDisplayName=(0,_common.getAppTitle)(c,platform);plistObj.CFBundleShortVersionString=(0,_common.getAppVersion)(c,platform);if(embeddedFonts.length){plistObj.UIAppFonts=embeddedFonts;}var pluginPermissions='';if(permissions){permissions.forEach(function(v){if(c.files.permissionsConfig){var plat=c.files.permissionsConfig.permissions[platform]?platform:'ios';var pc=c.files.permissionsConfig.permissions[plat];if(pc[v]){plistObj[pc[v].key]=pc[v].desc;}}});}if(orientationSupport){if(orientationSupport.phone){plistObj.UISupportedInterfaceOrientations=orientationSupport.phone;}else{plistObj.UISupportedInterfaceOrientations=['UIInterfaceOrientationPortrait'];}if(orientationSupport.tab){plistObj['UISupportedInterfaceOrientations~ipad']=orientationSupport.tab;}else{plistObj['UISupportedInterfaceOrientations~ipad']=['UIInterfaceOrientationPortrait'];}}if(urlScheme){plistObj.CFBundleURLTypes.push({CFBundleTypeRole:'Editor',CFBundleURLName:urlScheme,CFBundleURLSchemes:[urlScheme]});}if(plistExtra){plistObj=(0,_fileutils.mergeObjects)(plistObj,plistExtra);}(0,_pluginTools.parsePlugins)(c,function(plugin,pluginPlat,key){if(pluginPlat.plist){plistObj=(0,_fileutils.mergeObjects)(plistObj,pluginPlat.plist);}});(0,_plistParser.saveObjToPlistSync)(plistPath,plistObj);};var _getAppFolderName=function _getAppFolderName(c,platform){var projectFolder=(0,_common.getConfigProp)(c,platform,'projectFolder');if(projectFolder){return projectFolder;}return platform===_constants.IOS?'RNVApp':'RNVAppTVOS';};var listAppleDevices=function listAppleDevices(c,platform){return new Promise(function(resolve){(0,_common.logTask)("listAppleDevices:"+platform);var devicesArr=_getAppleDevices(c,platform);var devicesString='\n';devicesArr.forEach(function(v,i){devicesString+="-["+(i+1)+"] "+_chalk.default.white(v.name)+" | "+v.icon+" | v: "+_chalk.default.green(v.version)+" | udid: "+_chalk.default.blue(v.udid)+(v.isDevice?_chalk.default.red(' (device)'):'')+"\n";});console.log(devicesString);});};exports.listAppleDevices=listAppleDevices;var launchAppleSimulator=function launchAppleSimulator(c,platform,target){return new Promise(function(resolve){(0,_common.logTask)("launchAppleSimulator:"+platform+":"+target);var devicesArr=_getAppleDevices(c,platform,true);var selectedDevice;for(var i=0;i<devicesArr.length;i++){if(devicesArr[i].name===target){selectedDevice=devicesArr[i];}}if(selectedDevice){_launchSimulator(selectedDevice);resolve(selectedDevice.name);}else{(0,_common.logWarning)("Your specified simulator target "+_chalk.default.white(target)+" doesn't exists");var readlineInterface=readline.createInterface({input:process.stdin,output:process.stdout});var devicesString='\n';devicesArr.forEach(function(v,i){devicesString+="-["+(i+1)+"] "+_chalk.default.white(v.name)+" | "+v.icon+" | v: "+_chalk.default.green(v.version)+" | udid: "+_chalk.default.blue(v.udid)+(v.isDevice?_chalk.default.red(' (device)'):'')+"\n";});readlineInterface.question((0,_common.getQuestion)(devicesString+"\nType number of the simulator you want to launch"),function(v){var chosenDevice=devicesArr[parseInt(v,10)-1];if(chosenDevice){_launchSimulator(chosenDevice);resolve(chosenDevice.name);}else{(0,_common.logError)("Wrong choice "+v+"! Ingoring");}});}});};exports.launchAppleSimulator=launchAppleSimulator;var _launchSimulator=function _launchSimulator(selectedDevice){try{_child_process.default.spawnSync('xcrun',['instruments','-w',selectedDevice.udid]);}catch(e){}};var _getAppleDevices=function _getAppleDevices(c,platform,ignoreDevices,ignoreSimulators){(0,_common.logTask)("_getAppleDevices:"+platform+",ignoreDevices:"+ignoreDevices+",ignoreSimulators"+ignoreSimulators);var devices=_child_process.default.execFileSync('xcrun',['instruments','-s'],{encoding:'utf8'});var devicesArr=_parseIOSDevicesList(devices,platform,ignoreDevices,ignoreSimulators);return devicesArr;};var _parseIOSDevicesList=function _parseIOSDevicesList(text,platform){var ignoreDevices=arguments.length>2&&arguments[2]!==undefined?arguments[2]:false;var ignoreSimulators=arguments.length>3&&arguments[3]!==undefined?arguments[3]:false;var devices=[];text.split('\n').forEach(function(line){var s1=line.match(/\[.*?\]/);var s2=line.match(/\(.*?\)/g);var s3=line.substring(0,line.indexOf('(')-1);var s4=line.substring(0,line.indexOf('[')-1);var isSim=false;if(s2&&s1){if(s2[s2.length-1]==='(Simulator)'){isSim=true;s2.pop();}var version=s2.pop();var name=""+s4.substring(0,s4.lastIndexOf('(')-1);var udid=s1[0].replace(/\[|\]/g,'');var isDevice=!isSim;if(isDevice&&!ignoreDevices||!isDevice&&!ignoreSimulators){switch(platform){case _constants.IOS:if(name.includes('iPhone')||name.includes('iPad')||name.includes('iPod')||isDevice){var icon='Phone 📱';if(name.includes('iPad'))icon='Tablet 💊';devices.push({udid:udid,name:name,version:version,isDevice:isDevice,icon:icon});}break;case _constants.TVOS:if(name.includes('Apple TV')||isDevice){devices.push({udid:udid,name:name,version:version,isDevice:isDevice,icon:'TV 📺'});}break;default:devices.push({udid:udid,name:name,version:version,isDevice:isDevice});break;}}}});return devices;};var runAppleLog=function runAppleLog(c){return new Promise(function(){var filter=c.program.filter||'RNV';var child=_child_process.default.execFile('xcrun',['simctl','spawn','booted','log','stream','--predicate',"eventMessage contains \""+filter+"\""],{stdio:'inherit',customFds:[0,1,2]});child.stdout.on('data',function(data){var d=data.toString();if(d.toLowerCase().includes('error')){console.log(_chalk.default.red(d));}else if(d.toLowerCase().includes('success')){console.log(_chalk.default.green(d));}else{console.log(d);}});});};exports.runAppleLog=runAppleLog;